d=3; % space dimension
N=[2,4,3];
Oh=fc_hypermesh.OrthMesh(d,N,'type','orthotope','m_min',d); 

m=3; % maximun number of subdivision 
nme=Oh.Mesh.nme; % Number of Mesh elements
ndiscells=randi([1,m],d,nme); 
types=randi([0,1],1,nme);

sc01=fc_hypermesh.refinement.refine(Oh,ndiscells,types);
figure(1)
fc_hypermesh.refinement.plotsubcells(sc01)
view(3)
axis image
set(legend(),'Location','eastoutside')
xlabel('x'),ylabel('y'),zlabel('z')
title(sprintf('Cells [%s]: mixed subdivisions',num2str(N)))
